Download it now!
Bug 76941 - EDITING: .docx image greyscale not imported and exported correctly
Summary: EDITING: .docx image greyscale not imported and exported correctly
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.2.1 release
Hardware: All All
: medium minor
Assignee: Jorendc
URL:
Whiteboard: BSA target:5.0.0
Keywords:
Depends on:
Blocks: 87539
  Show dependency treegraph
 
Reported: 2014-04-02 09:39 UTC by josé faria
Modified: 2015-05-20 10:52 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
it an internal file from the school i work. (263.57 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-04-03 08:44 UTC, josé faria
Details
optimized test file (85.76 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-04-03 09:59 UTC, Jorendc
Details
Even a simpler example (just an image with greyscale) (35.66 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2015-05-11 20:12 UTC, Jorendc
Details
Optimized test file compared in MSO 2010 and LO 5.0 alpha 1 (79.63 KB, image/png)
2015-05-14 11:15 UTC, Timur
Details
Tested on current writer = OK (115.11 KB, image/png)
2015-05-14 15:33 UTC, Jorendc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description josé faria 2014-04-02 09:39:22 UTC
Problem description: 

Steps to reproduce:
1. open a .docx file with black and white images


Current behavior: the images appear in color.

Expected behavior: the images should be black and white.

              
Operating System: Windows 7
Version: 4.2.2.1 release
Comment 1 Dennis Roczek 2014-04-02 11:32:18 UTC
Can you provide an example file?
Comment 2 josé faria 2014-04-03 08:44:10 UTC
Created attachment 96828 [details]
it an internal file from the school i work.

the top logos are in the original in black and white (or grey shaded).
when i open the file in libreoffice's write the ACIB (top left) logo turns blue and the IEFP (top right) turns green.
Comment 3 Jorendc 2014-04-03 09:25:55 UTC
Reproducible, tested using Mac OSX 10.9 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: 37672f11a72723040b1c9452772dc6e12409e6cd
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-03-29_00:52:28
Comment 4 Jorendc 2014-04-03 09:59:35 UTC
Created attachment 96835 [details]
optimized test file
Comment 5 Jorendc 2015-05-11 20:12:18 UTC
Created attachment 115507 [details]
Even a simpler example (just an image with greyscale)
Comment 6 Commit Notification 2015-05-12 08:13:11 UTC
Joren De Cuyper committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ab81e3bff2a1844be67209bc8947d539edbaf8e6

tdf#76941 : image greyscale not imported correctly

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-05-14 09:23:52 UTC
Joren De Cuyper committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=53fe42375e31f09dccefbc43dfeabd988cc52a95

tdf#76941 : docx export image greyscale

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Timur 2015-05-14 11:15:57 UTC
Created attachment 115597 [details]
Optimized test file compared in MSO 2010 and LO 5.0 alpha 1

(In reply to josé faria from comment #2)
> Created attachment 96828 [details]
> the top logos are in the original in black and white (or grey shaded).
> when i open the file in libreoffice's write the ACIB (top left) logo turns
> blue and the IEFP (top right) turns green.
ACIB is not blue but black now, while IEFP remains green.


(In reply to Jorendc from comment #5)
> Created attachment 115507 [details]
> Even a simpler example (just an image with greyscale)
This one is fine now.
Comment 9 Jorendc 2015-05-14 14:43:36 UTC
(In reply to Commit Notification from comment #7)
> Joren De Cuyper committed a patch related to this issue.
> It has been pushed to "master":
> 
> http://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=53fe42375e31f09dccefbc43dfeabd988cc52a95
> 
> tdf#76941 : docx export image greyscale

Export part is still not okay. I had written a sketch patch, but I needed some help. It was pushed to master unintentionally. So ignore that patch for now (still working on it).

(In reply to Timur from comment #8)
> ACIB is not blue but black now, while IEFP remains green.
Thanks for testing Timur. You are right. I'll look into that later. I'm not trying to get the export right.

Kind regards,
Joren
Comment 10 Jorendc 2015-05-14 15:10:30 UTC
(In reply to Jorendc from comment #9)
> (In reply to Timur from comment #8)
> > ACIB is not blue but black now, while IEFP remains green.
> Thanks for testing Timur. You are right. I'll look into that later. I'm not
> trying to get the export right.

Mmh, I can not reproduce on my own build: Linux Mint x64 with
Version: 5.0.0.0.alpha1+
Build ID: de1977fe7df350b3354f67ab64bf81d3c1e95b22
Locale: nl-BE (nl_BE.UTF-8)

You mind retesting?

Kind regards,
Joren
Comment 11 Jorendc 2015-05-14 15:33:56 UTC
Created attachment 115602 [details]
Tested on current writer = OK
Comment 12 Commit Notification 2015-05-20 10:52:30 UTC
Joren De Cuyper committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0db96caf0fcce09b87621c11b584a6d81cc7df86

tdf#76941 and tdf#87539: docx export image greyscale, watermark, black&white

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.